Skip to main content
Delphix

Resolving PowerShell "command not recognized" errors during SQL Server container operations (KBA7930)

 

KBA

KBA# 7930

 

Issue

Delphix Engines running version 6.0 or later may report a PowerShell failure when performing SQL Server container operations using Windows Server 2012 or Windows Server 2012R2 hosts:

Error: Failed to push script to the remote host "MyTargetHost"

Command Output:

Split-Path : The term 'Split-Path' is not recognized as the name of a cmdlet,
function, script file, or operable program. Check the spelling of the name, or
if a path was included, verify that the path is correct and try again.
At ...

Operations that may trigger this error include:

  • dSource Snapshot or Validated Sync
  • VDB Refresh, Snapshot, Provision, or Rollback
  • Enable or Disable

The name of the command displayed in the error may change (for example, Split-Path or Set-Variable ), but the "not recognized as the name of a cmdlet" will be common across failures.

Applicable Delphix Versions

Click here to view the versions of the Delphix engine to which this article applies
Major Release All Sub Releases
6.0 6.0.0.0, 6.0.1.0, 6.0.1.1, 6.0.2.0, 6.0.2.1, 6.0.3.0, 6.0.3.1, 6.0.4.0, 6.0.4.1, 6.0.4.2, 6.0.5.0, 6.0.6.0, 6.0.6.1, 6.0.7.0, 6.0.8.0, 6.0.8.1, 6.0.9.0

Diagnosis

Based on user reports and internal testing, this issue appears to be specific to Windows Server 2012 and Windows Server 2012R2, when PowerShell versions 3.0 through 5.0 are in use.

To validate the version of PowerShell in use on your host, open a PowerShell prompt and run the following command:

$PSVersionTable

This will display the current PowerShell versions in a table:

Name                           Value
----                           -----
PSVersion                      4.0
WSManStackVersion              3.0
SerializationVersion           1.1.0.1
CLRVersion                     4.0.30319.42000
BuildVersion                   6.3.9600.19170
PSCompatibleVersions           {1.0, 2.0, 3.0, 4.0}
PSRemotingProtocolVersion      2.2

If the reported PSVersion is 3.0, 4.0, or 5.0, please review the suggested Resolution.

While there are some online reports indicating that this is a known issue, Delphix Support has not confirmed this with Microsoft.

Resolution

If you are running an affected version of PowerShell on Windows Server 2012 or Windows Server 2012R2, Delphix Support recommends installing the Windows Management Framework 5.1.

This framework installer includes PowerShell 5.1, which is believed to resolve this issue.

If this issue persists after installing Windows Management Framework 5.1, please raise a case with Delphix Support to investigate further.

 


Related Articles

The following articles may provide more information or related information to this article: